#### Beyond Linux® From Scratch (systemd Edition) - Version r13.0-491

### Chapter 9. General Libraries

- Prev

  dbus-glib-0.114

- Next

  duktape-2.7.0

- Up
- Home

# Double-conversion-3.4.0

## Introduction to Double-conversion

The Double-conversion package contains a library that facilitates binary-to-decimal and decimal-to-binary routines for IEEE doubles.

### Note

Development versions of BLFS may not build or run some packages properly if LFS or dependencies have been updated since the most recent stable versions of the books.

### Package Information

- Download (HTTP): https://github.com/google/double-conversion/archive/v3.4.0/double-conversion-3.4.0.tar.gz

- Download MD5 sum: cb2e555c32614f680ba928e962dda9be

- Download size: 6.7 MB

- Estimated disk space required: 62 MB (with tests)

- Estimated build time: less than 0.1 SBU (with tests)

### Double-conversion Dependencies

#### Required

CMake-4.3.2

## Installation of Double-conversion

Install Double-conversion by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -D CMAKE_INSTALL_PREFIX=/usr        \
          -D CMAKE_POLICY_VERSION_MINIMUM=3.5 \
          -D BUILD_SHARED_LIBS=ON             \
          -D BUILD_TESTING=ON                 \
          ..                                  &&
    make

To test the results, issue: make test.

Now, as the `root` user:

    make install

## Command Explanations

`-D CMAKE_POLICY_VERSION_MINIMUM=3.5`: This switch allows building this package with cmake-4.0 or newer.

`-D BUILD_SHARED_LIBS=ON`: This switch forces cmake to build a shared version of the library instead of the static version.

`-D BUILD_TESTING=ON`: This switch builds the test programs.

## Contents

Installed Programs: None
Installed Libraries: libdouble-conversion.so
Installed Directories: /usr/include/double-conversion

### Short Descriptions

`libdouble-conversion.so` | provides binary-to-decimal and decimal-to-binary routines for IEEE doubles

- Prev

  dbus-glib-0.114

- Next

  duktape-2.7.0

- Up
- Home